%global debug_package %{nil}

Name:           python3-omegaconf
Version:        2.3.0
Release:        1%{?dist}
Summary:        Flexible Python configuration system

License:        BSD-3-Clause
URL:            https://github.com/omry/omegaconf
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  (python3-antlr4-runtime < 4.10)
BuildRequires:  java-21-openjdk

%description
OmegaConf is a hierarchical configuration system, with support 
for merging configurations from multiple sources (YAML config 
files, dataclasses/objects and CLI arguments) providing a 
consistent API regardless of how the configuration was created.

%prep
%autosetup -n omegaconf-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files
%doc README.md
%{python3_sitelib}/omegaconf/
%{python3_sitelib}/omegaconf-*.dist-info/
%{python3_sitelib}/pydevd_plugins/

%changelog
%autochangelog
